#!/bin/bash

# By Robert Blaut http://blog.blaut.biz
# This script is licensed under 
# a Creative Commons Attribution 3.0 Unported License (CC BY 3.0)
# http://creativecommons.org/licenses/by/3.0/


########## CONFIG PARAMETERS ############
KinUnp="/KindleUnpack_v62"
WorkDir="/Volumes/Kindle"
####### END OF CONFIG PARAMETERS ########

clear
shopt -s nullglob

_azw3="$WorkDir/documents/*.azw3"
for f in $_azw3
do
  echo "Processing $f file..."
  ASIN=`ls "$f" | sed -n -E 's/.+_(.+)\..+/\1/p'`
  FIRST="$WorkDir/system/thumbnails/thumbnail_"
  LAST="_PDOC_portrait.jpg"
  LASTE="_EBOK_portrait.jpg"
  if [ ! -f $FIRST$ASIN$LAST ] && [ ! -f $FIRST$ASIN$LASTE ] 
  	then
  		python "$KinUnp/lib/kindleunpack.py" "$f" 1
		THUMB=`cat ./1/mobi8/OEBPS/*.opf | sed -n -E 's/.+id="cover_img.+href="(.+)".+/\1/p'`
  		if [ "$THUMB" != "" ]
  			then 
  				mv "1/mobi7/$THUMB" $FIRST$ASIN$LAST
  			fi
  		rm -rd 1
  	fi
done

_azw="$WorkDir/documents/*.azw"
for f in $_azw
do
  echo "Processing $f file..."
  ASIN=`ls "$f" | sed -n -E 's/.+_(.+)\..+/\1/p'`
  FIRST="$WorkDir/system/thumbnails/thumbnail_"
  LAST="_PDOC_portrait.jpg"
  LASTE="_EBOK_portrait.jpg"
  if [ ! -f $FIRST$ASIN$LAST ] && [ ! -f $FIRST$ASIN$LASTE ] 
  	then
  		python "$KinUnp/lib/kindleunpack.py" "$f" 1
		THUMB=`cat ./1/mobi7/*.opf | sed -n -E 's/.+id="cover_img.+href="(.+)".+/\1/p'`
  		if [ "$THUMB" != "" ]
  			then 
  				mv "1/mobi7/$THUMB" $FIRST$ASIN$LAST
  			fi
  		rm -rd 1
  	fi
done